function rev = npRev( assort,customerTypes, revList )
%Computed nonparametric expected revenues of each assortment
%Assumes 1/numTypes arrival probs

    numTypes=size(customerTypes,1);
    numProds=size(customerTypes,2);
    rev=0;
    
    for i=1:numTypes
        bought=0;
        j=1;
        while (bought==0 && j <=numProds) 
            
            prod=customerTypes(i,j);
            
            if assort(prod)==1
                
                bought=1;
                rev=rev + (1/numTypes)*revList(prod);
                
            end
            
            j=j+1;
            
            
        end
        
    end


end

